%define build_dvi 1

%define major		4
%define api		4.0
%define gir_major	3.0
%define libname		%mklibname %{name} %{major}
%define devname 	%mklibname -d %{name}
%define girname		%mklibname %{name}-gir %{gir_major}

Summary:	GNOME Document viewer
Name:		evince
Version:	43.1
Release:	%mkrel 1
License:	GPLv2+ and GFDL+
Group:		Publishing
URL:		http://www.gnome.org
Source0:	ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.xz
Patch0:         evince-42-poppler-requirement-decrease.patch
Requires:	ghostscript
Requires:	ghostscript-module-X
Requires:	gsettings-desktop-schemas
Requires:	gnome-icon-theme-symbolic
Requires:	gnome-themes-standard
BuildRequires: ghostscript
BuildRequires: intltool
BuildRequires: gnome-doc-utils
BuildRequires: gnome-common
BuildRequires: gnome-icon-theme
BuildRequires: gtk-doc
BuildRequires: desktop-file-utils
BuildRequires: gnome-common
BuildRequires: itstool
BuildRequires: lib64atk1.0-devel
BuildRequires: lib64cairo-devel
BuildRequires: lib64djvulibre-devel
BuildRequires: lib64gdk_pixbuf2.0_0-devel
BuildRequires: lib64girepository-devel
BuildRequires: lib64glib2.0-devel
BuildRequires: lib64gtk+3.0-devel
BuildRequires: lib64gxps-devel
BuildRequires: lib64kpathsea-devel
BuildRequires: lib64pango1.0-devel
BuildRequires: lib64poppler-glib-devel
BuildRequires: lib64secret-devel
BuildRequires: lib64spectre-devel
BuildRequires: lib64tiff-devel
BuildRequires: lib64x11-devel
BuildRequires: lib64xext-devel
BuildRequires: lib64xfixes-devel
BuildRequires: lib64xi-devel
BuildRequires: lib64xml2-devel
BuildRequires: yelp-devel
BuildRequires: lib64gspell-devel
BuildRequires: lib64gstreamer-plugins-base1.0-devel
BuildRequires: lib64handy-devel

%description
Evince is the GNOME Document viewer. It supports PDF, PostScript and other formats.
To view .dvi files as produced by TeX in evince, install the %{name}-dvi package.

#german
%description -l de
Evince ist der GNOME Document Viewer. Seine unterstützt PDF-, PostScript-und andere Formate.


%if %build_dvi
%package dvi
Summary:	TeX DVI document support for evince
Group:		Publishing
BuildRequires:	kpathsea-devel
Requires:	texlive
Requires:	texlive-texmf
Requires:	%{name} = %{version}-%{release}

%description dvi
This package adds support for displaying .dvi files to evince. These files are
produced by TeX, often using a macro package like LaTeX.
%endif

%package devel
Group:		Development/Libraries
Summary:	Develop/Libraries
Requires:	%{name} = %{version}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description devel
This is the GNOME Document viewer library, the shared parts of evince.

%package doc
Group:		Documentation
Summary:	GNOME Document viewer library
Requires:	%{name} = %{version}

%description doc
Documentation files for %name.



%prep
%setup -q
%apply_patches


%meson \
	-Dtiff=enabled \
	-Ddjvu=enabled \
	-Dcomics=enabled \
	-Dps=enabled \
	-Ddvi=enabled \
	-Dgtk_doc=false \
	-Dintrospection=true \
	-Dmultimedia=enabled \
    -Dnautilus=false
    
%meson_build

%install
%meson_install

#remove unused systemd
rm -rf %{buildroot}/usr/lib/systemd/user/evince.service

## remove systemd-call in dbus-servicefile
#edit to systemd-free
sed -i s/"SystemdService=evince.service"//g %{buildroot}%{_datadir}/dbus-1/services/org.gnome.evince.Daemon.service

%find_lang %{name} --with-gnome


desktop-file-install --vendor="" \
  --remove-category="Viewer" \
  --remove-category="Graphics" \
  --remove-category="2DGraphics" \
  --remove-category="VectorGraphics" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*.desktop

# I hate generic names in menu
perl -pi -e "s|Document Viewer|Evince PDF Viewer|" $RPM_BUILD_ROOT%{_datadir}/applications/org.gnome.Evince.desktop
  

%posttrans
SYSUSERS=`cat /etc/passwd | grep "/bin/bash" |grep "[0-9][0-9][0-9]" |cut -d: -f1`
SYSUSERS=${SYSUSERS/named/}
for idx in $SYSUSERS
 do INP1= mkdir -p /home/$idx/.gnome2/evince; done

SYSUSERS=`cat /etc/passwd | grep "/bin/bash" |grep "[0-9][0-9][0-9]" |cut -d: -f1`
SYSUSERS=${SYSUSERS/named/}
for idx in $SYSUSERS
 do INP1= chown -R "$idx:$idx" /home/$idx/.gnome2; done


%clean
rm -rf %{buildroot}

%files -f %name.lang
%defattr(-,root,root,-)
%{_bindir}/*
%{_datadir}/evince
%{_datadir}/applications/*
%{_datadir}/icons
%{_datadir}/glib-2.0/schemas/org.gnome.Evince.gschema.xml
%{_datadir}/GConf/gsettings/evince.convert
%{_mandir}/man1/evince.1*
%dir %{_libdir}/evince/%{major}/
%dir %{_libdir}/evince/%{major}/backends
%{_libdir}/evince/%{major}/backends/libcomicsdocument.so
%{_libdir}/evince/%{major}/backends/comicsdocument.evince-backend
%{_libdir}/evince/%{major}/backends/libdjvudocument.so
%{_libdir}/evince/%{major}/backends/djvudocument.evince-backend
%{_libdir}/evince/%{major}/backends/libpdfdocument.so
%{_libdir}/evince/%{major}/backends/pdfdocument.evince-backend
%{_libdir}/evince/%{major}/backends/libpsdocument.so
%{_libdir}/evince/%{major}/backends/psdocument.evince-backend
%{_libdir}/evince/%{major}/backends/libtiffdocument.so
%{_libdir}/evince/%{major}/backends/tiffdocument.evince-backend
%{_libdir}/evince/%{major}/backends/libxpsdocument.so
%{_libdir}/evince/%{major}/backends/xpsdocument.evince-backend

%{_libexecdir}/evinced
%{_datadir}/dbus-1/services/org.gnome.evince.Daemon.service
%{_datadir}/thumbnailers/evince.thumbnailer
%{_libdir}/libevdocument3.so.%{major}*
%{_libdir}/libevview3.so.3*
%{_libdir}/girepository-1.0/EvinceDocument-%{gir_major}.typelib
%{_libdir}/girepository-1.0/EvinceView-%{gir_major}.typelib
%{_datadir}/help

%{_datadir}/metainfo/evince-comicsdocument.metainfo.xml
%{_datadir}/metainfo/evince-djvudocument.metainfo.xml
%{_datadir}/metainfo/evince-dvidocument.metainfo.xml
%{_datadir}/metainfo/evince-pdfdocument.metainfo.xml
%{_datadir}/metainfo/evince-psdocument.metainfo.xml
%{_datadir}/metainfo/evince-tiffdocument.metainfo.xml
%{_datadir}/metainfo/evince-xpsdocument.metainfo.xml
%{_datadir}/metainfo/org.gnome.Evince.appdata.xml
%{_mandir}
%{_prefix}/lib/systemd/user/org.gnome.Evince.service

%if %build_dvi
%files dvi
%{_libdir}/evince/%{major}/backends/libdvidocument.so
%{_libdir}/evince/%{major}/backends/dvidocument.evince-backend
%endif


%files devel
%defattr(-,root,root,-)
%{_libdir}/libevdocument3.so
%{_libdir}/libevview3.so
%{_libdir}/pkgconfig/evince*pc
%{_includedir}/evince*
%{_datadir}/gir-1.0/EvinceDocument-%{gir_major}.gir
%{_datadir}/gir-1.0/EvinceView-%{gir_major}.gir

%post
/usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :

%postun
/usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :

%changelog
* Thu Oct 27 2022 tex - 43.1-1pclos2022
- new version

* Sun Sep 25 2022 tex - 43.0-1pclos2022
- new version

* Sun Sep 11 2022 tex - 42.3-1pclos2022
- new version

* Wed Jan 12 2022 tex - 41.3-1pclos2022
- new version

* Fri Sep 24 2021 tex - 40.4-2pclos2021
- rebuild against updates

* Thu Jul 15 2021 tex - 40.4-1pclos2021
- new version

* Wed Jul 14 2021 tex - 40.3-1pclos2021
- new version

* Wed Jun 09 2021 tex - 40.2-1pclos2021
- new version

* Fri Apr 02 2021 tex - 40.1-1pclos2021
- new version

* Fri Apr 02 2021 tex - 40.0-1pclos2021
- new version

* Mon Feb 15 2021 tex - 3.38.2-1pclos2021
- new version

* Fri Jan 29 2021 tex - 3.38.1-1pclos2021
- new version

* Mon Sep 14 2020 tex - 3.38.0-1pclos2020
- new version

* Sun Jun 14 2020 ghostbunny <ghostbunny at gmx dot de> 3.36.3-2pclos2020
- rebuild against new synctex version

* Wed Jun 03 2020 tex - 3.36.3-1pclos2020
- new version

* Tue May 19 2020 tex - 3.36.1-1pclos2020
- new version

* Sat Mar 07 2020 tex - 3.36.0-1pclos2020
- new version

* Sun Nov 24 2019 tex - 3.34.2-1pclos2019
- new version

* Mon Oct 07 2019 tex - 3.34.1-1pclos2019
- new version

* Thu Oct 03 2019 tex - 3.34.0-1pclos2019
- new version

* Tue Oct 01 2019 tex - 3.32.1-1pclos2019
- new version

* Thu Sep 26 2019 tex - 3.32.0-2pclos2019
- rebuild against updates

* Thu Sep 12 2019 tex - 3.32.0-1pclos2019
- new version

* Sat Feb 16 2019 tex - 3.30.2-1pclos2019
- NEW


